import { EventEmitter } from '@angular/core';
import { DatatableComponent } from '../../components/datatable.component';
import { KeyValue, ExcelService } from '../../services/excel.service';
import { TableColumn } from '../../types/table-column.type';
import * as i0 from "@angular/core";
export declare class ExportExcelDirective {
    private service;
    table: DatatableComponent<any>;
    renderCell?: (prop: string, value: any, row: any) => {
        text: string;
    };
    renderColumn?: (column: TableColumn) => KeyValue | null;
    excelClick: EventEmitter<any>;
    excelSuccess: EventEmitter<any>;
    excelError: EventEmitter<any>;
    excelFinally: EventEmitter<any>;
    renderHeader?: () => {
        a1?: string;
        a2?: string;
        i4?: string;
    };
    t: any;
    constructor(service: ExcelService);
    handleClick(e: any): Promise<void>;
    get(obj: any, path: any, def: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExportExcelDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExportExcelDirective, "[exportExcel]", never, { "table": "table"; "renderCell": "renderCell"; "renderColumn": "renderColumn"; "renderHeader": "renderHeader"; }, { "excelClick": "excelClick"; "excelSuccess": "excelSuccess"; "excelError": "excelError"; "excelFinally": "excelFinally"; }, never, never, false>;
}
