import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "./components/datatable.module";
import * as i3 from "./components/columns/columns.module";
import * as i4 from "./components/body/body-group-header/body-group-header.module";
import * as i5 from "./components/actions/actions.module";
export declare class NgnDatatableModule {
    /**
     * Configure global configuration via INgxDatatableConfig
     * @param configuration
     */
    static forRoot(configuration: INgxDatatableConfig): ModuleWithProviders<NgnDatatableModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgnDatatableModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgnDatatableModule, never, [typeof i1.CommonModule, typeof i2.DatatableModule, typeof i3.DatatableColumnsModule, typeof i4.BodyGroupHeaderModule, typeof i5.ActionsModule], [typeof i2.DatatableModule, typeof i3.DatatableColumnsModule, typeof i4.BodyGroupHeaderModule, typeof i5.ActionsModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgnDatatableModule>;
}
/**
 * Interface definition for INgxDatatableConfig global configuration
 */
export interface INgxDatatableConfig {
    excelService?: string;
    messages: {
        emptyMessage: string;
        totalMessage: string;
        selectedMessage: string;
    };
}
