import { INgxDatatableConfig } from '../ngx-datatable.module';
import * as i0 from "@angular/core";
export interface KeyValue {
    key?: string;
    value?: any;
    merge?: number;
}
export declare class ExcelService {
    private configuration;
    constructor(configuration: INgxDatatableConfig);
    export(params: {
        columns: Array<KeyValue>;
        values: Array<KeyValue[]>;
        chart?: {
            title: string;
            datas: Array<KeyValue>;
        };
        contents?: string[];
        a1?: string;
        a2?: string;
        a3?: string;
        i4?: string;
    }): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExcelService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExcelService>;
}
