import { TemplateRef } from '@angular/core';
import { ActionTemplateDirective } from './action-template.directive';
import * as i0 from "@angular/core";
export declare class DatableActionIconDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<DatableActionIconDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DatableActionIconDirective, "[ngn-datatable-action-icon]", never, {}, {}, never, never, false>;
}
export declare class DatatableActionComponent<T = any> {
    name: ('delete' | 'edit' | 'view') | string;
    tooltip?: string;
    icon?: string;
    link?: Array<any> | string;
    click?: (item: T) => void;
    actionTemplate: TemplateRef<ActionTemplateDirective>;
    constructor();
    handleClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatatableActionComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatatableActionComponent<any>, "ngn-datatable-action", never, { "name": "name"; "tooltip": "tooltip"; "icon": "icon"; "link": "link"; "click": "click"; }, {}, ["actionTemplate"], never, false>;
}
