import { OnInit } from '@angular/core';
import { DataTableColumnDirective } from '../../components/columns/column.directive';
import { TableColumn } from '../../types/table-column.type';
import * as i0 from "@angular/core";
export interface IExcelColumn {
    prop?: string;
    merge?: number;
    hidden?: boolean;
    renderCell?: (column: TableColumn, value: any, row: any) => string | {
        text: string;
    };
}
export declare class ExportExcelColumnDirective implements OnInit {
    private ref;
    config?: IExcelColumn;
    renderCell: (column: TableColumn, value: any) => string;
    constructor(ref: DataTableColumnDirective);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExportExcelColumnDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExportExcelColumnDirective, "[exportExcelColumn]", never, { "config": "exportExcelColumn"; "renderCell": "excelRenderCell"; }, {}, never, never, false>;
}
