import { NgCrudBaseService, RequestQueryBuilder } from 'nest-crud-typeorm-client';
export interface DatatableService<T> {
    /**
     * service restful của typeorm crud
     */
    service: NgCrudBaseService<T>;
    /**
     * builder trước khi request get dữ liệu
     */
    builder?: (rb: RequestQueryBuilder) => void;
    /**
     * khóa chính
     */
    primaryField: keyof T;
}
